Profile Dataset
GET
/v1/datasets/{dataset_id}/profile
const url = 'https://example.com/v1/datasets/example/profile';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/datasets/example/profile \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”dataset_id
required
Dataset Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Getdatasetprofile
Array<object>
ColumnProfileobject
Example generated
[ { "name": "example", "type": "example", "min": "example", "max": "example", "avg": "example", "approx_unique": 1, "null_percentage": 1 }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}